acd.c File Reference
`#include "lwip/opt.h"`
`#include <string.h>`
`#include "lwip/acd.h"`
`#include "lwip/prot/acd.h"`

## Functions

err_t | acd_add (struct netif *netif, struct acd *acd, acd_conflict_callback_t acd_conflict_callback)
void | acd_remove (struct netif *netif, struct acd *acd)
err_t | acd_start (struct netif *netif, struct acd *acd, ip4_addr_t ipaddr)
err_t | acd_stop (struct acd *acd)
void | acd_network_changed_link_down (struct netif *netif)
void | acd_tmr (void)
void | acd_arp_reply (struct netif *netif, struct etharp_hdr *hdr)
void | acd_netif_ip_addr_changed (struct netif *netif, const ip_addr_t *old_addr, const ip_addr_t *new_addr)

## Detailed Description

ACD IPv4 Address Conflict Detection

This is an IPv4 address conflict detection implementation for the lwIP TCP/IP stack. It aims to be conform to RFC5227.

## Function Documentation

## acd_arp_reply()

void acd_arp_reply | ( | struct netif * | netif,
|  | struct etharp_hdr * | hdr
| ) |  |

Handles every incoming ARP Packet, called by etharp_input().

Parameters

  netif | network interface to use for acd processing
  hdr | Incoming ARP packet

## acd_tmr()

void acd_tmr | ( | void |  | ) |

Has to be called in loop every ACD_TMR_INTERVAL milliseconds